#ifndef QT_INPUT_HPP
#define QT_INPUT_HPP

#include <QTabWidget>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include "input_physics.hpp"
#include "input_time.hpp"
#include "input_geometry.hpp"

class QtInput:public QWidget{
private:
  QVBoxLayout* main_layout;
  QHBoxLayout* button_layout;
  QTabWidget* tab_widget;
  QWidget* button_widget;
  QPushButton* button_ok;
  QPushButton* button_cancel;
  QtInputPhysics* input_physics;
  QtInputTime* input_time;
  QtInputGeometry* input_geometry;

public:
  QtInput();
  
};

#endif
