#include "input_time.hpp"

QtInputTime::QtInputTime():QWidget(){
  main_layout=new QVBoxLayout;
  T_label=new QLabel("Total duration of the simulation (T)");
  nT_label=new QLabel("Number of time steps (nT)");
  T_input=new QLineEdit(QString::number(def_T));
  nT_input=new QLineEdit(QString::number(def_nT));

  int vspace=20;
  main_layout->addWidget(T_label);
  main_layout->addWidget(T_input);
  main_layout->addSpacing(vspace);
  main_layout->addWidget(nT_label);
  main_layout->addWidget(nT_input);
  main_layout->addSpacing(vspace);
  main_layout->addStretch();
  setLayout(main_layout);
}

QtInputTime::~QtInputTime(){
}
