#include <iostream>
#include <QApplication>
#include "qt/mainwindow.hpp"
#include "physics.hpp"
#include "geometry.hpp"

using namespace std;

double hsoil(double x){
  return 3+cos(x);
}

double dhsoil(double x){
  return -sin(x);
}

double hbot(double x){
  return sin(x);
}

double dhbot(double x){
  return cos(x);
}

int main(int argc,char** argv){
  QApplication app(argc,argv);
  QtMainWindow window;
  window.resize(1280,1024);
  window.show();
  return app.exec();
  /*
  Physics physics(BrooksCorey);
  //Physical parameters 

  physics.g=9.81;
  physics.rho=1000;
  physics.phi=0.3;
  physics.k0=3e-5;
  physics.nivrivsat=0.01;
  
  //BrooksCorey model data
  physics.model_datas[0]=-2000;
  physics.model_datas[1]=0;
  physics.model_datas[2]=3;
  physics.model_datas[3]=11;

  //BrooksCorey test
  double v,dv;
  double P=-4000;
  cout<<physics.s(P)<<endl;
  cout<<physics.ds(P)<<endl;
  cout<<physics.kr(P)<<endl;
  cout<<physics.dkr(P)<<endl;
  physics.s_ds(P,v,dv);
  cout<<v<<' '<<dv<<endl;
  physics.kr_dkr(P,v,dv);
  cout<<v<<' '<<dv<<endl;

  //Geometry test
  Geometry geometry(10,200,200,&hsoil,&dhsoil,&hbot,&dhbot);*/
}
