#include "input.hpp"

QtInput::QtInput():QWidget(){
  main_layout=new QVBoxLayout;
  button_layout=new QHBoxLayout();
  tab_widget=new QTabWidget;
  button_widget=new QWidget();
  button_ok=new QPushButton("Ok");
  button_cancel=new QPushButton("Cancel");

  input_physics=new QtInputPhysics;
  input_time=new QtInputTime;
  input_geometry=new QtInputGeometry;

  //Tab
  tab_widget->addTab(input_physics,"Physics");
  tab_widget->addTab(input_time,"Time");
  tab_widget->addTab(input_geometry,"Geometry");
  
  //Buttons
  button_layout->addWidget(button_ok);
  button_layout->addWidget(button_cancel);
  button_widget->setLayout(button_layout);

  //Main
  main_layout->addWidget(tab_widget);
  main_layout->addWidget(button_widget);
  setLayout(main_layout);

}
